Print this page

Files Connect: Impact of TLS v1.0 disablement on the Secure Agent

Knowledge Article Number 000231366
Description

Starting in the first quarter of calendar year 2016, Salesforce will begin disabling the TLS 1.0 encryption protocol. This phased approach will prevent it from being used to access the Salesforce service within inbound and outbound connections, see this help topic for the full details.

 

Your company is currently using the Files Connect on-premises Secure Agent which is leveraging the Salesforce API. To make sure that the Files Connect on-premises integration continues to work, it is important to switch to Java 1.7 or 1.8, as explained in the following resolution steps:


 
Resolution
  • If the server hosting the on-premises agent is already running Java 1.8 then you have nothing to do: the agent will continue working after the TLS 1.0 disablement.

  • If the server is running Java 1.6 or Java 1.7, please upgrade to Java 1.8.

  • If you cannot upgrade to Java 1.8 because of internal company policies, upgrade to Java 1.7 and make sure that you’re running agent version 200.1 or above.

 

As a reminder, the agent version is displayed on the agent details page:



Check agent version




promote demote